#!/opt/cloudlinux/venv/bin/python3 -Ibb
# -*- coding: utf-8 -*-

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT


"""
Main cl-smart-advice utility script
"""
import sys
import json
from xray import gettext as _
from xray.internal.clwpos_safe_imports import CLWPOS_AVAILABLE
from xray.console_utils.run_smart_advice import run


if not CLWPOS_AVAILABLE:
    error_message = _("Smart Advice is not available while AccelerateWP is not installed")
    print(json.dumps({
        "result": error_message
    }), file=sys.stderr)
    sys.exit(0)

if __name__ == '__main__':
    run()
