# -*- coding: utf-8 -*-

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2025 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

def dummy_none_function(*args, **kwargs):
    return None

try:
    from clwpos.feature_suites import any_suite_allowed_on_server

    from clwpos.papi import (
        is_feature_visible,
        is_feature_hidden_server_wide,
        php_get_vhost_versions,
        is_wpos_supported,
        php_get_vhost_versions_user,
        is_feature_allowed,
        is_subscription_pending,
        get_subscription_upgrade_url,
        get_license_approve_status,
        approve_license_agreement,
        get_license_agreement_text,
        get_subscriptions_info,
        get_user_auth_key,
        is_smart_advice_notifications_disabled_server_wide,
        is_smart_advice_reminders_disabled_server_wide,
        is_smart_advice_wordpress_plugin_disabled_server_wide,
    )

    from clwpos.wp_utils import wp_get_constant
    from clwpos.constants import PULLZONE_DOMAIN_PROTOCOL
    from clwpos.user.config import LicenseApproveStatus

    CLWPOS_AVAILABLE = True

except ImportError:
    any_suite_allowed_on_server = dummy_none_function
    is_feature_visible = dummy_none_function
    is_feature_hidden_server_wide = dummy_none_function
    php_get_vhost_versions = dummy_none_function
    is_wpos_supported = dummy_none_function
    php_get_vhost_versions_user = dummy_none_function
    is_feature_allowed = dummy_none_function
    is_subscription_pending = dummy_none_function
    get_subscription_upgrade_url = dummy_none_function
    get_license_approve_status = dummy_none_function
    approve_license_agreement = dummy_none_function
    get_license_agreement_text = dummy_none_function
    get_subscriptions_info = dummy_none_function
    get_user_auth_key = dummy_none_function
    is_smart_advice_notifications_disabled_server_wide = dummy_none_function
    is_smart_advice_reminders_disabled_server_wide = dummy_none_function
    is_smart_advice_wordpress_plugin_disabled_server_wide = dummy_none_function
    wp_get_constant = dummy_none_function
    PULLZONE_DOMAIN_PROTOCOL = None
    LicenseApproveStatus = None

    CLWPOS_AVAILABLE = False
